Create Report Schedule By Id
To specify the time zone add X-Ops-API-Timezone header with value of format e.g. Asia/Yerevan.
All the schedules created using this API will be configured to use GMT time zone.
The Tenant Report Definition identifier
Custom HTTP header used by Ops API clients to specify Timezone information.
This Timezone value will be typically used for Report Generation.
Either an abbreviation such as "GMT", "PDT" can be specified,
or a full name such as "America/Los_Angeles". Other
formats and representations are not supported.
The Tenant Report Schedule to create in the system
Show optional properties
{
"recurrence": 0,
"reportScheduleType": "string",
"resourceIds": [
{}
],
"startDate": "string"
}
"{\n \"resourceIds\" : [ \"d2580a78-eacf-49fd-b6e2-b6e9eacd155e\" ],\n \"startDate\" : \"4/30/15\",\n \"reportScheduleType\" : \"WEEKLY\",\n \"daysOfTheWeek\" : [ \"SUNDAY\", \"MONDAY\" ],\n \"startHour\" : 1,\n \"startMinute\" : 0,\n \"recurrence\" : 2\n}"
The days of the month when the Schedule will run - Valid values are from 1-31
The days of the week this Schedule repeats
UUID of the schedule
Indicates the recurrence period of the Schedule. Defaults to 1.
Types of schedule
Resource identifiers for which the schedule will be created. Currently we support Schedules for a single Resource.
Starting time when the Report Schedule comes into effect. Defaults to the current date.
The hour of the day when the Schedule runs. Defaults to 8.
The minutes of the hour when the Schedule runs. Defaults to 0.
Week of the Month
The Tenant Report Schedule to create in the system
"{\n \"resourceIds\" : [ \"b7c82429-40cb-47ac-bb98-46ea2af83002\" ],\n \"startDate\" : \"01/01/2015\",\n \"reportScheduleType\" : \"MONTHLY\",\n \"startHour\" : 8,\n \"startMinute\" : 0,\n \"recurrence\" : 1,\n \"dayOfTheMonth\" : 1\n}"
The days of the month when the Schedule will run - Valid values are from 1-31
The days of the week this Schedule repeats
UUID of the schedule
Indicates the recurrence period of the Schedule. Defaults to 1.
Types of schedule
Resource identifiers for which the schedule will be created. Currently we support Schedules for a single Resource.
Starting time when the Report Schedule comes into effect. Defaults to the current date.
The hour of the day when the Schedule runs. Defaults to 8.
The minutes of the hour when the Schedule runs. Defaults to 0.
Week of the Month
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"recurrence":"integer","reportScheduleType":"string","resourceIds":["string"],"startDate":"string"}' https://{api_host}/suite-api/api/chargeback/reportdefinitions/{id}/schedules